Subject: Re: bug#28257: 26.0.50; [PATCH] expose eldoc functions in a hook

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2020 11:58:27 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 11 Feb 2020 16:57:04 -0500
> 
> > Can we please review Mark's patch some time soon?  TIA.
> 
> +  (if (> emacs-major-version 25)
> +      (add-hook 'eldoc-documentation-functions
> +                #'cfengine3-documentation-function nil t)
> 
> I think the 25 should be 26?  Or 27 if this is going to master (in which
> case the python.el hunk needs to be adjusted too).  Otherwise, the patch
> itself is fine in terms of coding details, as far as I can tell.

Thanks.

> I feel somewhat underqualified to decide whether or not the change in
> the semantics of eldoc-documentation-function is a good idea.

Thanks.  I'm even less qualified here, but the same thoughts crossed
my mind as well.

Stefan, any comments or ideas?  Who else might be relevant to discuss
these changes?